using e_suite.API.Common.models;
using e_suite.Database.Audit;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common;

public interface IContactsManager
{
    Task CreateContact(AuditUserDetails auditUserDetails, CreateContact createContactDto, CancellationToken cancellationToken);
    Task EditContact(AuditUserDetails auditUserDetails, EditContact editContactDto, CancellationToken cancellationToken);
    Task<ReadContact> GetContact(GeneralIdRef generalIdRef, CancellationToken cancellationToken);
}